import type { BuilderContextInterface, RegisteredComponents } from '../../context/types';
import type { BuilderBlock } from '../../types/builder-block';
import type { RepeatData } from './types';
export declare const getComponent: ({ block, context, registeredComponents }: {
    block: BuilderBlock;
    context: BuilderContextInterface;
    registeredComponents: RegisteredComponents;
}) => import("../../context/types").RegisteredComponent | null | undefined;
export declare const getRepeatItemData: ({ block, context }: {
    block: BuilderBlock;
    context: BuilderContextInterface;
}) => RepeatData[] | undefined;
export declare const getInheritedStyles: ({ block, context }: {
    block: BuilderBlock;
    context: BuilderContextInterface;
}) => Partial<CSSStyleDeclaration>;
